Groovy Documentation

## org.codehaus.groovy.classgen.asm.sc
[Java] Class StaticTypesStatementWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.StatementWriter
          org.codehaus.groovy.classgen.asm.sc.StaticTypesStatementWriter

    public class StaticTypesStatementWriter
    extends StatementWriter

A class to write out the optimized statements

Authors:
  Jochen "blackdrag" Theodorou

Constructor Summary
`StaticTypesStatementWriter(StaticTypesWriterController controller)`

Method Summary
`void` | `writeBlockStatement(BlockStatement statement)`
`protected void` | `writeForInLoop(ForStatement loop)`

Methods inherited from class StatementWriter
writeAssert, writeBlockStatement, writeBreak, writeCaseStatement, writeContinue, writeDoWhileLoop, writeExpressionStatement, writeForInLoop, writeForLoopWithClosureList, writeForStatement, writeIfElse, writeIteratorHasNext, writeIteratorNext, writeReturn, writeStatementLabel, writeSwitch, writeSynchronized, writeThrow, writeTryCatchFinally, writeWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StaticTypesStatementWriter

    public StaticTypesStatementWriter(StaticTypesWriterController controller)

Method Detail

### writeBlockStatement

    @Override
    public void writeBlockStatement(BlockStatement statement)

### writeForInLoop

    @Override
    protected void writeForInLoop(ForStatement loop)

Groovy Documentation